textures/italy/icy-moss-stone
{
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/italy/icy-moss-stone.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/italy/waterfall
{	
	qer_editorimage textures/italy/waterfall.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull disable
	deformVertexes wave 100 sin 0 1 0 1.5 
	{
		map textures/italy/waterfall.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0 -1.9
		alphaGen Vertex
	}
}

textures/italy/water
{
	qer_trans .5
	q3map_globaltexture
	q3map_fancywater 1 0.75 0.75 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	deformVertexes wave 64 sin .25 .25 0 .5
	cull disable
	{
		map "textures/italy/water"
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map "textures/italy/water"
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/italy/tissu-vert
{
    surfaceparm nodamage
    deformVertexes wave 64 sin .25 .25 0 .5
    {
        map textures/italy/tissu-vert.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/italy/tissu-rouge
{
    surfaceparm nodamage
    deformVertexes wave 64 sin .25 .25 0 .5
    {
        map textures/italy/tissu-rouge.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/italy/tissu-bleu
{
    surfaceparm nodamage
    deformVertexes wave 64 sin .25 .25 0 .5
    {
        map textures/italy/tissu-bleu.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/italy/tissu-blanco
{
    surfaceparm nodamage
    deformVertexes wave 64 sin .25 .25 0 .5
    {
        map textures/italy/tissu-blanco.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/italy/yellowlight
{
	qer_editorimage textures/italy/yellowglass.jpg
	surfaceparm nodamage
	surfaceparm slick
	q3map_surfacelight 500
	q3map_lightRGB 1 0.95 0.24
     
        {
		map textures/italy/yellowglass.jpg
		         tcgen environment
		blendFunc GL_ONE GL_ONE
	}	
          
}

textures/italy/grate1a
{
	qer_editorimage textures/italy/grate1a
	surfaceparm metalsteps	
	surfaceparm nodamage	
	surfaceparm trans
	cull none
	{
		map textures/italy/grate1a
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/italy/vine04
{
	qer_editorimage textures/italy/vine04.tga
	q3map_cloneShader textures/italy/vine04_back
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99

	{
		map textures/italy/vine04.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

textures/italy/vine04_back
{
	qer_editorimage textures/italy/vine04.tga

	q3map_invert
	q3map_vertexScale 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 0.5 0 0.1
	{
		map textures/italy/vine04.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}