textures/atl/chrome
{
    qer_editorimage textures/atl/chrome.tga
    surfaceparm nodamage
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    qer_trans 0.3
    q3map_surfacelight 3500
    q3map_lightmapBrightness 2.0
    q3map_lightRGB 255 126 0

    {
        map textures/atl/chrome.tga
        blendfunc add
        tcGen environment 
    }
}

textures/atl/fog
{
  	qer_editorimage textures/atl/wall4.tga
  	surfaceparm	trans
  	surfaceparm	nonsolid
  	surfaceparm	fog
  	surfaceparm	nolightmap
  	fogparms ( 0.9 0.9 0.9 ) 2000
	qer_trans 0.4
}

textures/atl/fog2
{
  qer_editorimage textures/atl/wall4.tga
  surfaceparm	trans
  surfaceparm	nonsolid
  surfaceparm	fog
  surfaceparm	nolightmap
  fogparms ( 0.9 0.9 0.9 ) 2000
  {
        map $lightmap
        blendfunc filter
    }
}

textures/atl/wall4
{
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/atl/wall4.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/atl/skynight
{ 
        qer_editorimage textures/atl/skybox
	//q3map_sun .94 .91 .95 400 180 60
	q3map_surfacelight 1000
	q3map_lightsubdivide 512
        surfaceparm sky
        surfaceparm nolightmap
        surfaceparm noimpact
        skyparms textures/atl/skynight - -
}

textures/atl/waterfall
{	
	qer_editorimage textures/atl/waterfall.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull disable
	deformVertexes wave 100 sin 0 1 0 1.5 
	{
		map textures/atl/waterfall.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0 -1.9
		alphaGen Vertex
	}
}

textures/atl/water
{
	qer_trans .5
	q3map_globaltexture
	q3map_fancywater 1 0.75 0.75 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	deformVertexes wave 64 sin .25 .25 0 .5
	cull disable
	{
		map "textures/atl/water"
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map "textures/atl/water"
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}


