textures/italy_wf/waterfallz
{
    qer_editorimage textures/italy/water
    qer_trans .5
    q3map_globaltexture
    q3map_fancywater 1 0.5 0.5 0.5
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm water
    //deformVertexes wave 64 sin .25 .25 0 .5
    cull disable
    {
        map "textures/italy/water"
        blendFunc GL_src_alpha GL_one_minus_src_alpha
        alphaGen const 0.25  // Ajouter cette ligne pour définir la transparence globale à 50%
        rgbgen identity
        tcmod scale .75 .75
        tcmod scroll 0 -0.15
    }
    {
        map "textures/italy/water"
        blendFunc GL_src_alpha GL_one_minus_src_alpha
        alphaGen const 0.25  // Ajouter cette ligne pour définir la transparence globale à 50%
        rgbgen identity
        tcmod scale .75 .75
        tcmod scroll 0 -0.15
    }   
    {
        map $lightmap
        blendFunc GL_dst_color GL_zero
        rgbgen identity
    }
}

textures/italy_wf/skynight
{ 
	qer_editorimage textures/italy/skybox
	//q3map_sun .94 .91 .95 400 180 60
	q3map_surfacelight 1000
	q3map_lightsubdivide 512
	surfaceparm sky
	surfaceparm nolightmap
	surfaceparm noimpact
	skyparms textures/italy/skynight - -
}

textures/italy_wf/slick
{
    qer_editorImage textures/italy/ice.tga
	q3map_lightImage textures/italy/ice.tga
	q3map_surfaceLight 100
	q3map_lightsubdivide 64
    surfaceparm slick
    {
        map textures/italy/d_land1
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/italy/ice.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/italy_wf/grass {
	qer_editorimage textures/italy/grass.jpg
	surfaceparm grasssteps
	
	{
		map textures/italy/grass.jpg
		rgbGen identity
	}
}

textures/italy_wf/grass_models
{
	qer_editorimage textures/italy/grass.jpg
	surfaceparm grasssteps
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.7 )
	
	q3map_globalTexture
	q3map_nonplanar
	q3map_shadeAngle 120
	
	q3map_surfaceModel models/foliages/foliage01.md3		128 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage01b.md3	    192 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage02.md3		192 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage03.md3		256 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage04.md3		256 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage05.md3		320 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage06.md3		384 .8 1 2 0 359 1

	{
		// Secondary
		map textures/italy/grass.jpg
		rgbGen identity
	}
		{
		// Primary
		map textures/italy/grass.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}